Please port your package away from Qt 4

Bug #1757838 reported by Simon Quigley on 2018-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qtgain (Ubuntu)
Medium
Simon Quigley

Bug Description

Currently Qt 4 has been dead upstream and we are starting to have problems maintaining it, like for example in the OpenSSL 1.1 support case.

Following in the footsteps of Debian[1], all packages directly or indirectly depending on qt4-x11 (like this one) must either get ported to Qt 5 and uploaded to the development release or get removed (by means of demotion to -proposed or removal of the package) before the 19.04 release. If it is possible to port your package by the 18.10 release, please do so.

If you have any questions about porting or this transition, please ask in #ubuntu-qt (preferred) or directly ping me

[1] https://wiki.debian.org/Qt4Removal

Simon Quigley (tsimonq2) wrote :

Apparently this has been ported to Qt 5 upstream. I'll take care of this one, and I'll probably get it in Debian.

Changed in qtgain (Ubuntu):
assignee: nobody → Simon Quigley (tsimonq2)
status: New → Confirmed
Simon Quigley (tsimonq2) on 2018-03-24
Changed in qtgain (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtgain - 1.0.0-0ubuntu1

---------------
qtgain (1.0.0-0ubuntu1) focal; urgency=medium

  * Upstream release 1.0.0, ported to Qt5. (LP: #1757838)

 -- Rik Mills <email address hidden> Fri, 14 Feb 2020 09:41:52 +0000

Changed in qtgain (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers